# XMLNetAccessor Class Reference

Inheritance diagram for XMLNetAccessor:

List of all members.

## Public Member Functions

virtual | ~XMLNetAccessor ()
virtual const XMLCh * | getId () const =0
virtual BinInputStream * | makeNew (const XMLURL &urlSrc, const XMLNetHTTPInfo *httpInfo=0)=0

## Protected Member Functions

| XMLNetAccessor ()

## Constructor & Destructor Documentation

virtual XMLNetAccessor::~XMLNetAccessor | ( |  | ) | `[virtual]`

XMLNetAccessor::XMLNetAccessor | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const XMLCh* XMLNetAccessor::getId | ( |  | ) | const`[pure virtual]`

virtual BinInputStream* XMLNetAccessor::makeNew | ( | const XMLURL & | urlSrc,
|  | const XMLNetHTTPInfo * | httpInfo = `0` |
| ) |  |  | `[pure virtual]`

The documentation for this class was generated from the following file:

- XMLNetAccessor.hpp